VIPW(8)

NAME
vipw, vigr - edit the password, group, shadow-password or shadow-group file

SYNOPSIS

vipw [options]

vigr [options]

DESCRIPTION

The vipw and vigr commands edits the files /etc/passwd and /etc/group, respectively. With the -s flag, they will edit the shadow versions of those files, /etc/shadow and /etc/gshadow, respectively. The programs will set the appropriate locks to prevent file corruption. When looking for an editor, the programs will first try the environment variable $VISUAL, then the environment variable $EDITOR, and finally the default editor, vi(1).

OPTIONS

The options which apply to the vipw and vigr commands are:

-g, --group
    Edit group database.

-h, --help
    Display help message and exit.

-p, --passwd
    Edit passwd database.

-q, --quiet
    Quiet mode.

-s, --shadow
    Edit shadow or gshadow database.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

FILES

/etc/group
    Group account information.

/etc/gshadow
    Secure group account information.

/etc/passwd
    User account information.

/etc/shadow
    Secure user account information.

SEE ALSO

vi(1), group(5), gshadow(5) passwd(5), shadow(5).